#ifndef _RS274X_H
#define _RS274X_H

struct s_rs274x {

  FILE *fout;
  char *fname;
  struct s_t_code_list *tcl;
  struct s_d_code_list *dcl;
  char *include_file;
  char *desc;
  int polarity;
  
} ;


struct s_rs274x *rs274x_create(char *fname);
int rs274x_assign_tcode(struct s_rs274x *rs, struct s_t_code_list *tcl);
int rs274x_assign_dcode(struct s_rs274x *rs, struct s_d_code_list *dcl);
int rs274x_finished(struct s_rs274x *rs);
int rs274x_include_file(struct s_rs274x *rs, char *fname, char *desc, int polarity);
#endif
