#ifndef _APRS_H
#define _APRS_H

struct s_t_code {
  int code;
  int diameter;
} ;

struct s_d_code {
  int code;
  int shape;
  int x,y;
  int hole;
  int type;
  int th_out, th_in;  // thermal info from the comment field
} ;

struct s_t_code_list {
  int num_elems;
  int max_elems;
  struct s_t_code *tc;
} ; 

struct s_d_code_list {
  int num_elems;
  int max_elems;
  struct s_d_code *dc;
} ;

struct s_t_code_list *create_t_code_list(int n_elm);
struct s_d_code_list *create_d_code_list(int n_elm);
int display_tcodes(struct s_t_code_list *tcl);
int display_dcodes(struct s_d_code_list *dcl);
#endif
