#ifndef _ARGS_H
#define _ARGS_H

#define DEFAULT_APERTURE "aperture.txt"
#define DEFAULT_GERBER "gerber.txt"
#define DEFAULT_OUTPUT "rs274x.txt"
#define DEFAULT_DEBUG 0


struct s_options {
  char *fname_aperture;
  char *fname_gerber;
  char *fname_output;
  int debug_level;
  char *gerb_desc;
  int quiet_level;
  int version;
  int polarity;
} ;

extern struct s_options opt;


int process_args(int narg, char **args);

#endif
