// ----------------------------------------------------------------------------------
//  Copyright 2003 by Digital Designs and Systems, Inc.  http://www.dideas.com
//  No warranty.  The user of this software assumes sole responsibly for the results
//  of execution.  This software may be freely distributed and modified so long as
//  this complete notice is included and unmodified.
// ----------------------------------------------------------------------------------

#include <stdlib.h>
#include <string.h>

#include "my_string.h"

char *str_to_upper(char *a) {
  char *s;
  s = a;
  if (!s) return s;

  while(*s) {
    *s = toupper(*s);
    ++s;
  }
  return s;
}


int list_match_nocase(char *list[], char *target) {
  char **p;
  int flg, n;
  int sl;
  n = 0;
  p = list;
  str_to_upper(target);

  while(1) {
    str_to_upper(*p);
    sl = strlen(*p);

    flg = strncmp(*p, target, sl);
    //    printf("testing %s against %s : got %d\n",target, *p, flg);
    if (!flg) return n;

    flg = strcmp(*p, TERMINATION_STRING);
    if (!flg) {
      //      printf("%d %s\n", n , target);
      return -1;
    }
    ++n;
    ++p;
  }  // while 1
  return 0;
}
